AxisServiceProxy (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.AxisServiceProxy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis
Class AxisServiceProxy

    java.lang.Object
      org.mule.transport.soap.axis.AxisServiceProxy

    public class AxisServiceProxy

extends Object

`ServiceProxy` is a proxy that wraps a soap endpointUri to look like a Web service. Also provides helper methods for building and describing web service interfaces in Mule.

Constructor Summary
`AxisServiceProxy()`

Method Summary
`static Object` | `createProxy(AbstractMessageReceiver receiver, boolean synchronous, Class[] classes)`
`static InvocationHandler` | `createServiceHandler(AbstractMessageReceiver receiver, boolean synchronous)`
`static Class[]` | `getInterfacesForComponent(Service service)`
`static String[]` | `getMethodNames(Class[] interfaces)`
`static Method[]` | `getMethods(Class[] interfaces)`
`static Class[]` | `removeInterface(Class[] interfaces, Class iface)`
`static void` | `setProperties(Map properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisServiceProxy

    public AxisServiceProxy()

Method Detail

### createProxy

    public static Object createProxy(AbstractMessageReceiver receiver,
                                     boolean synchronous,
                                     Class[] classes)

### createServiceHandler

    public static InvocationHandler createServiceHandler(AbstractMessageReceiver receiver,
                                                         boolean synchronous)

### setProperties

    public static void setProperties(Map properties)

### getInterfacesForComponent

    public static Class[] getInterfacesForComponent(Service service)
                                             throws MuleException,
                                                    ClassNotFoundException

  Throws:
    `MuleException`
    `ClassNotFoundException`

### removeInterface

    public static Class[] removeInterface(Class[] interfaces,
                                          Class iface)

### getMethods

    public static Method[] getMethods(Class[] interfaces)

### getMethodNames

    public static String[] getMethodNames(Class[] interfaces)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.